  function xx=npr(np);
  %   Conversion of the real float np  to a normalized
  % mulprec number xx.
  %
  if np==0, xx=[0,0]; return, end;
  P=10^7;   nu=floor( (log(abs(np)))/log(P) );
  u=np*P^(1-nu);
  alp=floor(u);   bet=u-alp;
  xx=zeros(0,5);
  xx(1:2)=[nu-3 floor(u/P)];
  xx(3)=alp-xx(2)*P;
  xx(4)=floor(bet*P);
  xx(5)=floor((bet*P-xx(4))*P);
