%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 20. muat2.m   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function  v= muat2(y,x,s)
% y,x,v  are mulprec reals; v is in [-pi, pi]. Floats not yet allowed!!
% A Mulprec extension of the Matlab function atan2.m;
% Suggested nimprovement: Allow floats, and permute x and y, if |y|>|x|,
% in order to improve the convergence.

 if nargin==2, s=max(length(y), length(x)); end
 if muzero(x), v=atan2(flo(y),0), return,          % v=inf or NaN;
 else w=npr(atan2(flo(y),flo(x)));  s1=4;
        % 1st approx to a Newton iter. for the equation tan v = y/x.
    dyx=div(y,x,s);
    while  s1<s+2
       s1=2*s1-2,                                              % test print
       [cow,siw]=expi(w,s1+1);
       res=rnize(sub(mul(dyx,cow,s1+1), siw)); resflo=flo(res),% test print
       w=add(mul(res,cow,s1+1),w);
    end
 end
   v=chop(nize(w),s);
 %  v=nize(w);
