function [w,u,v]=nize(z);
% Normalizes a complex mulprec number z.
% Uses rnize.m that normalizes a real mulprec number.
% Check that this is correct, also if real(z) or imag(z) have a lot of
% zeros at the end !?

if any(imag(z))==0,
   w=rnize(z);
   return
else
   u=rnize(real(z));    % rnize uses elizer.m !
   tmp=rnize(imag(z));
   v=i*tmp; v(1)=z(1)+tmp(1);
   w=add(u,v);
end
